#ifndef INPUT_KEYMAPTABLE_H
#define INPUT_KEYMAPTABLE_H TRUE

/*
**  keymaptable.h
**
**  (C) Copyright 2001-2004 Rocklyte Systems.
**      All Rights Reserved.
*/

#ifndef INPUT_KEYBOARD_H
#include <pandora/input/keyboard.h>
#endif

/*****************************************************************************
** Key mapping translation table.  This is used to get the numeric value of
** keys referred to in the keymap configuration files.  Because this is a
** lookup table, it must be arranged in the same order as that specified in
** the input/keyboard.h file.
*/

const static STRING glKeymapTable[K_LIST_END+1] = {
   "",
   "A", "B", "C", "D", "E", "F", "G", "H", "I", "J", "K", "L", "M",
   "N", "O", "P", "Q", "R", "S", "T", "U", "V", "W", "X", "Y", "Z",
   "1", "2", "3", "4", "5", "6", "7", "8", "9", "0",
   "REVERSEQUOTE", "MINUS", "EQUALS", "LSQUARE", "RSQUARE", "SEMICOLON",
   "QUOTE", "COMMA", "PERIOD", "SLASH", "BACKSLASH", "SPACE",
   "NP0", "NP1", "NP2", "NP3", "NP4", "NP5", "NP6", "NP7", "NP8", "NP9",
   "NPMULTIPLY", "NPPLUS", "NPBAR", "NPMINUS", "NPDOT", "NPDIVIDE",
   "LCONTROL", "RCONTROL", "HELP", "LSHIFT", "RSHIFT", "CAPSLOCK", "PRINT",
   "LALT", "RALT", "LCOMMAND", "RCOMMAND", "F1", "F2", "F3", "F4", "F5", "F6",
   "F7", "F8", "F9", "F10", "F11", "F12", "F13", "F14", "F15", "F16", "F17",
   "MACRO", "NPPLUSMINUS", "LESSGREATER", "UP", "DOWN", "RIGHT", "LEFT", "SCROLL", "PAUSE",
   "WAKE", "SLEEP", "POWER", "BACKSPACE", "TAB", "ENTER", "ESCAPE", "DELETE",
   "CLEAR", "HOME", "PAGEUP", "PAGEDOWN", "END", "SELECT", "EXECUTE",
   "INSERT", "UNDO", "REDO", "MENU", "FIND", "CANCEL", "BREAK", "NUMLOCK",
   "PRTSCR", "NPENTER", "SYSRQ", "F18", "F19", "F20",
   NULL
};

#endif /* INPUT_KEYMAPTABLE_H */
